classification
Title: Add support of KZ1048 (RK1048) encoding
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: amaury.forgeotdarc, lemburg, loewis, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-10-20 20:21 by serhiy.storchaka, last changed 2015-05-12 21:35 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
encoding_kz1048.patch serhiy.storchaka, 2014-10-20 20:26
Messages (9)
msg229741 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-10-20 20:21
KZ1048 is Kazakh encoding based on CP1251 (Windows Cyrillic codepage). It is standardized by Unicode [1] and IANA [2]. It is also known as STRK1048-2002 (by the name of original Kazakh standard) and RK1048 (used in glibc). It is default encoding of Kazakh locale kk_KZ in glibc.

Proposed patch adds support for this encoding.

[1] ftp://ftp.unicode.org/Public/MAPPINGS/VENDORS/MISC/KZ1048.TXT
[2] https://www.iana.org/assignments/charset-reg/KZ-1048
msg230266 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2014-10-30 12:42
Looks good to me.
I checked that there are only 16 differences between cp1251 and kz1048,
and that the two standards define the same mapping.
msg242963 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-12 11:20
Ping.
msg242977 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2015-05-12 15:10
Please go ahead! Or do you expect someone else to review the patch?
msg242986 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-12 18:48
It would be nice if somebody of the encoding package maintainers (Martin, Marc-Andre) will approve (or reject) the patch.
msg242989 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2015-05-12 18:55
Looks good. Thanks, Serhiy.
msg243007 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-12 20:24
New changeset 6e1fe5bfba48 by Serhiy Storchaka in branch 'default':
Issue #22682: Added support for the kz1048 encoding.
https://hg.python.org/cpython/rev/6e1fe5bfba48
msg243009 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-12 20:28
Thank you for your reviews Amaury and Marc-Andre.
msg243019 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-12 21:35
New changeset def3bab79c8f by Serhiy Storchaka in branch 'default':
Added forgotten new files for issues #22681 and #22682.
https://hg.python.org/cpython/rev/def3bab79c8f
History
Date User Action Args
2015-05-12 21:35:20python-devsetmessages: + msg243019
2015-05-12 20:28:05serhiy.storchakasetstatus: open -> closed
messages: + msg243009

assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2015-05-12 20:24:40python-devsetnosy: + python-dev
messages: + msg243007
2015-05-12 18:55:10lemburgsetmessages: + msg242989
2015-05-12 18:48:00serhiy.storchakasetmessages: + msg242986
2015-05-12 15:10:35amaury.forgeotdarcsetmessages: + msg242977
2015-05-12 11:20:24serhiy.storchakasetmessages: + msg242963
2014-10-30 12:42:22amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg230266
2014-10-20 20:26:42serhiy.storchakalinkissue22679 dependencies
2014-10-20 20:26:37serhiy.storchakasetfiles: + encoding_kz1048.patch
keywords: + patch
2014-10-20 20:21:16serhiy.storchakacreate